<template>
    <div v-if="!isSubscribed" class="fixed bottom-0 mb-6 flex justify-center w-full z-20">
        <section
            @click="goToAddress"
            class="w-10/12 md:w-1/2 flex justify-center rounded-lg shadow p-1 bg-orange-200 cursor-pointer"
        >
            <article class="bg-white w-full rounded flex">
                <div class="w-2/3 flex items-center justify-center">
                    <h1 class="text-2xl">{{ AD.title }}</h1>
                </div>
                <div class="w-1/3">
                    <figure class="my-2 w-7/12 p-2">
                        <img :src="AD.popupImgUrl" alt="brave browser icon" />
                    </figure>
                </div>
            </article>
        </section>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'
import { State } from 'vuex-class'
import { IUserState } from '../../User/types/user/user'
import { IAdState, IAd } from './types/ad'

@Component
export default class App extends Vue {
    @State('User')
    USER_STATE: IUserState

    @State('Ads')
    ADS_STATE: IAdState

    AD: IAd = {
        name: '',
        title: '',
        url: '',
        videoUrl: '',
        posterImgUrl: '',
        popupImgUrl: '',
    }

    created() {
        if (this.ADS_STATE.ads !== undefined) {
            this.AD.title = this.ADS_STATE.ads[0].title
            this.AD.url = this.ADS_STATE.ads[0].url
            this.AD.popupImgUrl = this.ADS_STATE.ads[0].popupImgUrl
        }
    }

    get isSubscribed(): boolean {
        if (this.USER_STATE.subscription === undefined) return false
        return this.USER_STATE.subscription.status
    }

    goToAddress() {
        window.location.href = this.AD.url
    }
}
</script>